var gulp 		 = require('gulp');
var postcss      = require('gulp-postcss');
var sourcemaps   = require('gulp-sourcemaps');
var autoprefixer = require('autoprefixer');
var cleanCSS 	 = require('gulp-clean-css');

gulp.task('autoprefixer', () => {

	return gulp.src('./src/css/*.css')
		.pipe(sourcemaps.init())
		.pipe(postcss([ autoprefixer() ]))
		.pipe(cleanCSS())
		.pipe(sourcemaps.write('.'))
		.pipe(gulp.dest('./assets/css'));
});